WHO(1)

NAME
who - Print information about users who are currently logged in.

SYNOPSIS
who [-a|--all] [-b|--boot] [-d|--dead] [-H|--heading] [-l|--login] [--lookup] [-m ] [-p|--process] [-q|--count] [-r|--runlevel] [-s|--short] [-t|--time] [-u|--users] [-T|--mesg] [-h|--help] [-V|--version] [FILE]

DESCRIPTION
Print information about users who are currently logged in.

OPTIONS

-a, --all
    same as -b -d --login -p -r -t -T -u

-b, --boot
    time of last system boot

-d, --dead
    print dead processes

-H, --heading
    print line of column headings

-l, --login
    print system login processes

--lookup
    attempt to canonicalize hostnames via DNS

-m  only hostname and user associated with stdin

-p, --process
    print active processes spawned by init

-q, --count
    all login names and number of users logged on

-r, --runlevel
    print current runlevel (This is meaningless on non Linux)

-s, --short
    print only name, line, and time (default)

-t, --time
    print last system clock change

-u, --users
    list users logged in

-T, --mesg
    add user's message status as +, - or ?

-h, --help
    Print help

-V, --version
    Print version

[FILE]

EXTRA
## Examples Display the username, line, and time of all currently logged-in sessions: who Display all available information: who {{[-a|--all]}} Display all available information with table headers: who {{[-aH|--all --heading]}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.9.0